Bug 12882

Summary: [855GM missing DVO driver] s-video not detected
Product: DRI Reporter: znejk <hedstrom79>
Component: DRM/IntelAssignee: Default DRI bug account <dri-devel>
Status: RESOLVED WONTFIX QA Contact:
Severity: enhancement    
Priority: low CC: ben, b.harrington, chris, daniel, debug, funrun73, jbarnes, legolas558, lists, maxi, seuzy8, slogger
Version: unspecified   
Hardware: x86 (IA32)   
OS: Linux (All)   
Whiteboard:
Attachments:
Description Flags
logfile
none
Xorg.0.log from V.Pagliari http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=493096
none
my "grep intel\(0\) /var/log/Xorg.0.log" none

Description znejk 2007-10-21 23:28:15 UTC
Hello i hope this is the right place to ask a question about the s-video out using the new intel driver on an i810 chipset. Im running gusty with the intel modesetting branch and am trying to configure the s-video for connection between my computer and tv. When i run randr it doesnt even detect my tv connected...

znejk@zarathustra:~$ xrandr 
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1024 x 1024
VGA disconnected (normal left inverted right)
LVDS connected 1024x768+0+0 (normal left inverted right) 0mm x 0mm
   1024x768       59.3*+   85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  

Is there support for s-video in the new modesetting driver for the i810 chipset? or planned to make support for it or am i having an error? Hope u understand what i mean.
best regards
Fredrik
Comment 1 Gordon Jin 2007-10-21 23:36:50 UTC
You should use master branch not modesetting branch for intel driver. (modesetting branch has been dead and merged to master.)

I can see TV output with s-video on 915GM chipset. Is your i810 integrated with s-video, or through ADD card?
Comment 2 znejk 2007-10-21 23:48:05 UTC
(In reply to comment #1)
> You should use master branch not modesetting branch for intel driver.
> (modesetting branch has been dead and merged to master.)
> 
> I can see TV output with s-video on 915GM chipset. Is your i810 integrated with
> s-video, or through ADD card?
> 

Oh sorry i probably use the master branch, kinda new to this, the one that comes with the ubuntu gutsy I pressume is the master branch. My i810 is integrated with s-video. IBM thinkpad R51.
Comment 3 Gordon Jin 2007-10-22 00:10:17 UTC
Could you double-check if it's i810 by command "lspci"? I thought R51 is 855GM.
Please attach Xorg.0.log.
Comment 4 znejk 2007-10-22 00:28:05 UTC
Created attachment 12145 [details]
logfile
Comment 5 znejk 2007-10-22 00:31:48 UTC
(In reply to comment #3)
> Could you double-check if it's i810 by command "lspci"? I thought R51 is 855GM.
> Please attach Xorg.0.log.
> 

Your are correct, im sorry for posting a bad bug, really sorry.
The lspci shows
Intel Corporation 82852/82855 GM/GME/PM/GMV 

Really appreciate your fast answers!

Xorg.0.log is in attachment
Comment 6 Eric Anholt 2007-10-22 09:42:20 UTC
We currently don't support any TV out through DVO, which is what your laptop uses.  The usual chips (chrontel) have published specs which could be used to write an appropriate DVO driver, and we have several LVDS and TMDS DVO drivers already in the tree that could be used as examples.
Comment 7 Michael Fu 2007-10-23 05:55:45 UTC
mark as wontfix..
Comment 8 Eric Anholt 2007-10-23 10:01:37 UTC
Just because intel's not planning on writing these drivers at the moment doesn't mean that the issue is irrelevant.  We all agree that having these drivers would be good, while "wontfix" usually means that the upstream maintainers don't want to see the issue fixed.
Comment 9 Gordon Jin 2008-09-17 20:31:48 UTC
Leave this to community.
Comment 10 Gordon Jin 2008-10-28 18:57:24 UTC
*** Bug 18274 has been marked as a duplicate of this bug. ***
Comment 11 legolas558 2009-01-04 03:58:09 UTC
In order to see a video from my HD I have to do the following things:

1) copy video to Windows XP NTFS partition
2) reboot into Windows XP
3) enable DVO

It would be VERY USEFUL to me to have this DVO output working from Linux, I would completely remove Windows XP and no more need it to see my videos...
Comment 12 Wang Zhenyu 2009-01-05 23:39:24 UTC
*** Bug 19322 has been marked as a duplicate of this bug. ***
Comment 13 legolas558 2009-01-07 05:53:45 UTC
If this bug is duplicate of bug 18274, then please update the summary: this is not a Thinkpad R51 issue but an Intel 855GM issue (with 'intel' driver).
Comment 14 legolas558 2009-01-08 05:14:16 UTC
Created attachment 21801 [details]
Xorg.0.log from V.Pagliari http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=493096

A working TV-OUT with 'intel' driver and i855GM chipset, please notice the following lines in attached log:

(II) intel(0): I2C bus "DVOI2C_E" initialized.
(II) intel(0): I2C device "DVOI2C_E:SIL164 TMDS Controller" registered at address 0x70.
(II) intel(0): Output TMDS using monitor section GH19PS
Comment 15 legolas558 2009-01-08 05:17:46 UTC
Can we say that problem is in the missing DVOI2C_E + SIL164 initialization?

Some pipe problem?
Comment 16 legolas558 2009-01-08 05:19:03 UTC
Created attachment 21803 [details]
my "grep intel\(0\) /var/log/Xorg.0.log"
Comment 17 legolas558 2009-01-08 05:37:12 UTC
This guy had a similar problem with LCD being disabled:
http://lkml.org/lkml/2008/3/26/343

Note the same pipe error: FIFO_UNDERRUN VSYNC_INT_STATUS VBLANK_INT_STATUS

The thread contains no solution to the problem, except a hint about the 'intel' driver being the guilty one.
Comment 18 legolas558 2009-01-08 06:25:50 UTC
In attachment 21306 [details] we can see another case of TMDS being detected, even if not used.

Can we reduce our problem to TMDS not being detected?
How is it that it is detected on that hardware?
Comment 19 Gordon Jin 2009-01-20 01:20:49 UTC
*** Bug 19188 has been marked as a duplicate of this bug. ***
Comment 20 Gordon Jin 2009-01-30 02:15:26 UTC
*** Bug 19805 has been marked as a duplicate of this bug. ***
Comment 21 www.rzr.online.fr 2009-03-16 12:31:36 UTC
Hi,

I think I am affected by the same bug on 82830 CGC (pci=8086:3577) ...

I can help to build and test some experimentals versions...

Also I wish I can test latest iegd from intel to compare , but i can't find where to download it...


Tracking at : http://rzr.online.fr/q/stb

Regards


Comment 22 legolas558 2009-03-17 07:38:24 UTC
@www.rzr.online.fr: I am available for testing experimental versions of the driver. I have an 855GM chipset.

I have read your page but cannot find a proper version to test.

Thanks
Comment 23 legolas558 2009-09-21 10:11:58 UTC
Pushed by frustration of having to close my Linux sessions and boot into Windows, I packaged a chroot live system to use my TV-OUT without rebooting.
Xorg 1.4 + the old i810 driver (v1.7.2) are inside, with perfectly compiling sources.

I hope this will be useful to some of you.

http://sourceforge.net/projects/i810tvout/

All feedback is welcome (on the SF.net project please)
Comment 24 Chris Wilson 2010-07-24 03:34:28 UTC
What is the status here? AIUI dvo, and the sil164 chipset reference here, are supported so are the TV paths hooked up?
Comment 25 legolas558 2010-07-24 04:49:04 UTC
(In reply to comment #24)
> What is the status here? AIUI dvo, and the sil164 chipset reference here, are
> supported so are the TV paths hooked up?

It doesn't work, Intel doesn't support it and nobody fixed the driver. There have been attempts to fix the driver by various people, with some results, but absolutely nothing for the (KMS) i915 intel driver.

Just dead hardware in our boxes
Comment 26 Chris Wilson 2010-08-09 08:56:14 UTC
Have you had a chance to look at the alternate sil164 driver that is now upstream? Just in terms of removing code duplication I'd like to remove dvo_sil164.c. However considering they are almost identical and the comments in intel_dvo.c, DVO itself needs quite a bit of love first.
Comment 27 legolas558 2010-08-12 06:14:53 UTC
(In reply to comment #26)
> Have you had a chance to look at the alternate sil164 driver that is now
> upstream? Just in terms of removing code duplication I'd like to remove
> dvo_sil164.c. However considering they are almost identical and the comments in
> intel_dvo.c, DVO itself needs quite a bit of love first.

I have looked at the intel_dvo.c file and it looks like easy, however my hardware (i855GM rev02) uses the Chrontel70xxx chipset, not SIL. Shall I start from the staging ch7006 driver instead?
Comment 28 legolas558 2010-08-12 06:43:49 UTC
I'd suggest looking at these release news:
http://lists.freedesktop.org/archives/xorg-announce/2007-November/000430.html

There is one significant line by Eric Anholt:

Disable TV/VGA output on the CH7017/7018 devices.

I think the i855GM TV-OUT was left for dead there. There is currently a ch7017 and ch70xx driver for DVO, but I am getting a bit confused so I don't know if my hardware has a DVO or a TV-OUT (it has a VGA output and a 5pin S-Video output), I'd say the TV-OUT (S-Video output) is the part dismantled in current driver.
Comment 29 Eugeni Dodonov 2011-09-08 15:55:53 UTC
This issue is affecting a hardware component which is not being actively worked on anymore.

Moving the assignee to the dri-devel list as contact, to give this issue a better coverage.
Comment 30 Daniel Vetter 2012-02-08 10:48:20 UTC
Reassign back to the public - this needs somebody with the motivation and hw to write the corresponding dvo driver.
Comment 31 Daniel Vetter 2012-11-06 11:26:39 UTC
Mass-closing missing dvo driver bugs. We won't ever do that, so this needs a RE effort from someone else.